Subject: NETLINK_ROUTE sockets in kernel

From: Anil Gunturu <[email-masked]>
Date: Tue, 2 Nov 2004 11:46:46 -0800

Hi,
I am trying to undestand the NETLINK_ROUTE protocol sockets on 2.4.18
kernel. Specifically, I am interested in knowing how the kernel
processes the netlink messages that it recieves from user space. I was
browsing the rtnetlink_rcv_msg (net/core/rtnetlink.c) function in the
kernel. But its not clear on how the rtnetlink_links array is
populated for PF_NETLINK family. rtnetlink_init seem to populate for
PF_PACKET and PF_UNSPEC.
Thanks,
-Anil